unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FileSearch, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Edit1: TEdit;
    Button1: TButton;
    Label1: TLabel;
    FileSearch1: TFileSearch;
    Button2: TButton;
    procedure FileSearch1ChangeFolder(fullpath: String; info: TSearchRec);
    procedure FileSearch1FileFind(fullpath: String; info: TSearchRec);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FileSearch1Finish(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FileSearch1ChangeFolder(fullpath: String;
	info: TSearchRec);
begin
	label1.caption := fullPath;
end;

procedure TForm1.FileSearch1FileFind(fullpath: String; info: TSearchRec);
begin
	listBox1.items.add(fullPath+info.name);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
	listbox1.items.clear;
	filesearch1.SearchFile := edit1.text;
	filesearch1.Start;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
	filesearch1.stop := true;
end;

procedure TForm1.FileSearch1Finish(Sender: TObject);
begin
	messagedlg('Search completed!',mtInformation,[mbOk],0);
end;

end.
